LibreOffice LibreOffice 25.2 SDK API Reference

Exported Interfaces | List of all members
DataSource Service Reference

describes a service that allows reading two-dimensional data in the form of a sequence of DataSequences. More...

`import"DataSource.idl";`

Inheritance diagram for DataSource:

## Exported Interfaces
interface | XDataSource
| allows the read-access of the actual data. More...

## Additional Inherited Members
Public Member Functions inherited from XDataSource
sequence< XLabeledDataSequence > | getDataSequences ()
| returns data sequences. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

describes a service that allows reading two-dimensional data in the form of a sequence of DataSequences.

## Exported Interfaces

## ◆ XDataSource

interface XDataSource

allows the read-access of the actual data.

The documentation for this service was generated from the following file:

- com/sun/star/chart2/data/DataSource.idl